Skip to main content
GET
List Artifacts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Query Parameters

page
integer
default:1

Page number (starts at 1)

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
search
string | null

Search in name and description

tags
string | null

Filter by tags (comma-separated)

sort
string | null

Sort: field:order,... (e.g., name:asc,created_at:desc)

content_type
string | null

Filter by content type. Exact match or prefix with wildcard (e.g., 'image/*', 'application/pdf')

key_prefix
string | null

Filter by key prefix (folder path, relative to project)

created_by
string | null

Filter by creator (e.g., 'user:alice')

owner_id
string | null
deprecated

Deprecated: use created_by instead. Will be removed in a future release.

meta
string | null

Filter by meta (JSON object for containment match, e.g., '{"env":"prod"}')

Response

Successful Response

Paginated list response for artifacts.

data
ArtifactSummary · object[]
required
pagination
Pagination · object
required

Pagination metadata for list responses.